Bug 12276 - Drosera should have a mode where it does not break on js exceptions
Summary: Drosera should have a mode where it does not break on js exceptions
Status: CLOSED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-14 21:19 PST by Eric Seidel (no email)
Modified: 2008-05-17 09:56 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-01-14 21:19:49 PST
Drosera should have a mode where it does not break on js exceptions

This would allow Drosera to be a long-running process.  Instead, I have to quit it every time I'm not using it.  Silly.
Comment 1 Eric Seidel (no email) 2007-12-28 22:52:46 PST
ZOMG do I ever need this.  Acid3 debugging is basically impossible w/o this mode.  I might just have to break down and write it myself! :)
Comment 2 David Kilzer (:ddkilzer) 2007-12-29 23:26:14 PST
This would have been helpful on Bug 16644.

If we can't ignore all exceptions, it would be nice to be able to ignore specific exceptions so that those that occur within a loop may be easily ignored if they aren't interesting.

Comment 3 Timothy Hatcher 2008-05-17 09:22:25 PDT
Closing since Drosera no longer exists and this isn't an issue in the Web Inspector's debugger.
Comment 4 Timothy Hatcher 2008-05-17 09:56:02 PDT
Closing since Drosera has been replaced by the new Web Inspector debugger. Moving to the New Bugs component so the Drosera component can be closed and removed.